[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.ColumnCount

The number of defined Columns for the control.

## Declaration

Source position: comctrls.pp line 1666

`public property TCustomListView.ColumnCount : Integer read GetColumnCount;`

## Description

ColumnCount is a read-only Integer property which indicates the number of columns displayed for the list view. The property value is read from the Count property in Columns.

Use methods in Columns to maintain the column definitions in the collection, such as Add, Insert, Delete, and Clear.